Package org.pushingpixels.substance.api.painter.border

# Interface SubstanceBorderPainter

All Superinterfaces:
  `SubstanceTrait`

All Known Implementing Classes:
  `ClassicBorderPainter`, `CompositeBorderPainter`, `DelegateBorderPainter`, `DelegateFractionBasedBorderPainter`, `FlatBorderPainter`, `FractionBasedBorderPainter`, `GlassBorderPainter`, `SimplisticSoftBorderPainter`, `StandardBorderPainter`

public interface SubstanceBorderPainter extends SubstanceTrait
Border painter interface for Substance look and feel. This class is part of officially supported API.
Starting from version 4.0, the borders of some controls (buttons, check boxes, tabs, scroll bars etc) are painted by border painters. Up until version 4.0 this has been done by gradient painters ( `SubstanceFillPainter`) instead. Note that a custom gradient painter may continue painting the borders, but these will be overriden by the current border painter.

Since:
  version 4.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isPaintingInnerContour()`
Returns boolean indication whether this border painter is painting the inner contours.
`void`
`paintBorder(Graphics g, Component c, int width, int height, Shape contour, Shape innerContour, SubstanceColorScheme borderScheme)`
Paints the control border.

### Methods inherited from interface org.pushingpixels.substance.api.trait.SubstanceTrait

`getDisplayName`

## Method Details

### paintBorder

void paintBorder(Graphics g, Component c, int width, int height, Shape contour, Shape innerContour, SubstanceColorScheme borderScheme)
Paints the control border.

Parameters:
  `g` - Graphics.
  `c` - Component.
  `width` - Width of a UI component.
  `height` - Height of a UI component.
  `contour` - Contour of a UI component.
  `innerContour` - Inner contour of a UI component. May be ignored if the specific implementation paints only the outside border.
  `borderScheme` - The border color scheme.

### isPaintingInnerContour

boolean isPaintingInnerContour()
Returns boolean indication whether this border painter is painting the inner contours.

Returns:
  `true` if this border painter is painting the inner contours, `false` otherwise.